# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::RenderStateNonIndexed Class Reference

Base class for those render states which have only one binding point (the vast majority). More...

`#include <RenderState.hpp>`

Inheritance diagram for vl::RenderStateNonIndexed:

List of all members.

## Public Member Functions

| RenderStateNonIndexed ()

## Detailed Description

Base class for those render states which have only one binding point (the vast majority).

Definition at line 84 of file RenderState.hpp.

## Constructor & Destructor Documentation

vl::RenderStateNonIndexed::RenderStateNonIndexed | ( | ) | `[inline]`

Definition at line 89 of file RenderState.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderState.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:49.
Permission is granted to use this page to write and publish articles regarding Visualization Library.